

%define gwenviewlib_major 4
%define libgwenviewlib %mklibname gwenviewlib %gwenviewlib_major

Name: gwenview
Summary: Fast and easy to use image viewer for KDE
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: http://www.kde.org
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires: lib64cfitsio-devel
BuildRequires: baloo5-devel 
BuildRequires: jpeg-devel

BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}exiv2-devel

BuildRequires: kio-devel
BuildRequires: karchive-devel
BuildRequires: kdelibs4support-devel
BuildRequires: kactivities5-devel

BuildRequires: libkexiv2-devel
BuildRequires: libkdcraw-devel
BuildRequires: libkipi-devel

BuildRequires: kfilemetadata5-devel
BuildRequires: wayland-protocols-devel

Requires:        kdelibs4support
Requires:        kio
Requires:        kio-extras
Requires:        kinit
Requires:        breeze
Requires:        kded
Requires:        qtimageformats5
Requires:        kimageformats


%description
Gwenview is a fast and easy to use image viewer/browser for KDE.
All common image formats are supported, such as PNG(including transparency),
JPEG(including EXIF tags and lossless transformations), GIF, XCF (Gimp
image format), BMP, XPM and others. Standard features include slideshow,
fullscreen view, image thumbnails, drag'n'drop, image zoom, full network
transparency using the KIO framework, including basic file operations and
browsing in compressed archives, non-blocking GUI with adjustable views.
Gwenview also provides image and directory KParts components for use e.g. in
Konqueror. Additional features, such as image renaming, comparing,
converting, and batch processing, HTML gallery and others are provided by the
KIPI image framework.

%files
%_kf5_bindir/gwenview
%_kf5_datadir/applications/org.kde.gwenview.desktop
%_kf5_datadir/gwenview
%_iconsdir/*/*/*/*
%_kf5_services/gvpart.desktop
#------------------------------------------------------------------------------
%_kf5_libdir/libgwenviewlib.so.%{gwenviewlib_major}*
%_kf5_libdir/libgwenviewlib.so.5
#------------------------------------------------------------------------------
%_kf5_datadir/metainfo/org.kde.gwenview.appdata.xml
%_kf5_datadir/locale

%_kf5_bindir/gwenview_importer
%_kf5_datadir/solid/actions/gwenview_importer.desktop
%_kf5_datadir/solid/actions/gwenview_importer_camera.desktop
%_kf5_datadir/kconf_update/gwenview.upd
/usr/share/kconf_update/gwenview-imageview-alphabackgroundmode-update.pl
/usr/lib64/qt5/plugins/kf5/parts/gvpart.so
/usr/share/qlogging-categories5/gwenview.categories
/usr/lib64/qt5/plugins/kf5/kfileitemaction/slideshowfileitemaction.so
/usr/share/applications/org.kde.gwenview_importer.desktop

%package handbook
Summary: Gwenview handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description handbook
This package provides the gwenview handbook.

%files handbook
%doc %_docdir/HTML
#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

